package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Feeref;
import com.brilliance.isc.bo.Mcd;
import com.brilliance.isc.bo.Mct;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Mcdgrp extends AbstractCommonVo {
    private Mcd rec;

    private Mct blk;

    private Mcacbs cbs;

    private Feeref feeref;

    private PtsptaVo apl;

    private PtsptaVo ade;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Mcd();
        }
        if (blk == null) {
            blk = new Mct();
        }
        if (cbs == null) {
            cbs = new Mcacbs();
        }
        cbs.reset();
        if (feeref == null) {
            feeref = new Feeref();
        }
        feeref.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (ade == null) {
            ade = new PtsptaVo();
        }
        ade.reset();
    }
}
